View all methods
catalog.relations.delete
Delete a relation definition.
Facts
| Method | POST https://api.getdx.com/catalog.relations.delete |
| Required scope | catalog:write:entities |
Arguments
Required arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
identifier |
Text |
Identifier of the relation definition to delete. |
Example request
This is a typical request:
curl -X POST https://api.getdx.com/catalog.relations.delete?identifier=service-depends-on-service \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'
Example response
This is a typical success response:
{
"ok": true,
"relation": {
"identifier": "service-depends-on-service",
"type": "depends on",
"inverse_type": "dependency of",
"cardinality": "many_to_many",
"description": "Service depends on service",
"source_entity_type_identifier": "service",
"target_entity_type_identifier": "service",
"created_at": "2025-01-02T20:48:45.77969Z",
"updated_at": "2025-01-02T20:48:45.77969Z"
}
}
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |
invalid_arguments |
Required arguments are missing or invalid. |
not_found |
No relation definition matches the given identifier. |